/* ---------------------------------------------- */
/* -- Fonts */
/* ---------------------------------------------- */
@font-face {
  font-family: "Inter";
  src: url("/assets/fonts/Inter/Inter-VariableFont_opsz,wght.woff2")
    format("woff2");
}
@font-face {
  font-family: "Roboto";
  src: url("/assets/fonts/Roboto/Roboto-Regular.woff2") format("woff2");
}
@font-face {
  font-family: "Bebas Neue";
  src: url("/assets/fonts/BebasNeue/BebasNeue-Regular.woff2") format("woff2");
}
@font-face {
  font-family: "MarckScript";
  src: url("/assets/fonts/MarckScript/MarckScript-Regular.woff2")
    format("woff2");
}

/* ---------------------------------------------- */
/* -- Colors, Predefined */
/* ---------------------------------------------- */
:root {
  --default-font: "Roboto", sans-serif;
  --default-color: #333;
  --default-faded: #888;
  --tsk-green: #008d67;
  --tsk-blue: #04a3d7;
  --tsk-second: #008dbb;
  --menu-font: "Inter", sans-serif;
  --hero-font: "MarckScript", serif;
  --header-font: "Inter", sans-serif;
  --light-blue: #e9f3f8;
}

html,
body {
  height: 100%;
}
body {
  display: flex;
  flex-direction: column;
}
a:link,
a:visited {
  color: var(--tsk-blue);
}
a:active,
a:hover {
  color: var(--tsk-second);
}
.bg-dark {
  background-color: #444 !important;
}

/* ---------------------------------------------- */
/* -- Navigation */
/* ---------------------------------------------- */
.header .logo .logo-img {
  height: 3.5rem;
  width: auto;
}
a.nav-item,
a.nav-item:hover {
  position: relative;
  margin: 1.8rem 0 0 1rem;
  padding: 0;
  font-size: 1.1rem;
  font-weight: 600;
  font-family: var(--menu-font);
  text-transform: uppercase;
  text-decoration: none;
  color: var(--tsk-blue);
}
a.nav-item::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 0;
  border-bottom: 3px solid var(--tsk-blue);
  transition: width 0.4s ease;
}
a.nav-item:hover::before {
  width: 100%;
}
@media (max-width: 768px) {
  a.nav-item {
    border-bottom: dotted 1px var(--tsk-blue);
  }
  a.nav-item:hover::before {
    width: 0%;
  }
}
@media (max-width: 576px) {
  #navcol {
    margin-top: 20px;
  }
}
.spacer {
  width: 100%;
  height: 2rem;
}

/* ---------------------------------------------- */
/* -- Main */
/* ---------------------------------------------- */
main {
  flex: 1;
  background-repeat: no-repeat;
  background-position: center center;
  background-attachment: fixed;
  @media (max-width: 768px) {
    background-size: 100% auto;
  }
  @media (min-width: 768px) {
    background-size: 50% auto;
  }
  @media (min-width: 1200px) {
    background-size: 40% auto;
  }
  @media (min-width: 1600px) {
    background-size: 25% auto;
  }
}

main p {
  line-height: 1.8rem;
}
main section table {
  display: table;
  width: 100%;
  /*box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);*/
}
main section table td,
main section table th {
  border-bottom: solid #ccc 1px;
  padding: 10px;
}

main section img {
  max-width: 100%;
}

main section figure {
  width: 100% !important;
}

/* ---------------------------------------------- */
/* -- Hero */
/* ---------------------------------------------- */
.hero {
  padding: 20px;
}
.hero h1 {
  font-family: "MarckScript";
  font-size: 4rem;
  line-height: 4rem;
  color: var(--tsk-blue);
  margin: 2rem 0;
}
.hero blockquote {
  font-family: "Inter";
  font-size: 1.6rem;
  line-height: 2.5rem;
  color: var(--tsk-green);
}

/* ---------------------------------------------- */
/* -- Cards Startseite */
/* ---------------------------------------------- */
.card-container {
  display: block;
  transition: all 0.3s ease-in-out;
}
.card-container .card {
  transition: all 0.3s ease-in-out;
}
.card-container .card-img-top {
  height: 18rem;
  object-fit: cover;
  object-position: center;
  width: 100%;
}
.card-container .card-content {
  display: none;
}
.card-container .card-content.show {
  display: block;
}
.card-container .card-body {
  display: block;
}
.card-container .card-body.hide {
  display: none;
}

.card-container .expanded-card {
  border: none;
  margin-bottom: 2rem;
  transition: all 0.3s ease-in-out;
}
.card-container .expanded-card .card-img-top {
  height: auto;
  margin-bottom: 2rem;
}
.card-container .expanded-card .card-title {
  color: var(--tsk-second);
}

/* ---------------------------------------------- */
/* -- Footer */
/* ---------------------------------------------- */
footer {
  margin-bottom: 0;
}
footer .logo .logo-img {
  height: 4.5rem;
  width: auto;
}
footer ul {
  list-style-type: none;
  padding: 0;
  margin: 0;
}
footer a:link,
footer a:visited {
  color: lightgray;
  text-decoration: none;
}
footer a:hover,
footer a:active {
  color: white;
}

/* ---------------------------------------------- */
/* -- Scroll Top Button */
/* ---------------------------------------------- */
.scroll-top {
  position: fixed;
  visibility: hidden;
  opacity: 0;
  right: 15px;
  bottom: 15px;
  z-index: 99999;
  background-color: var(--tsk-blue);
  width: 40px;
  height: 40px;
  border-radius: 4px;
  transition: all 0.4s;
}
.scroll-top i {
  font-size: 3rem;
  color: white;
  line-height: 0;
}
.scroll-top:hover {
  background-color: var(--tsk-second);
}
.scroll-top.active {
  visibility: visible;
  opacity: 1;
}

/* ---------------------------------------------- */
/* -- Preloader */
/* ---------------------------------------------- */
#preloader {
  position: fixed;
  inset: 0;
  z-index: 9999;
  overflow: hidden;
  background-color: var(--white);
  transition: all 0.6s ease-out;
  width: 100%;
  height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
}
#preloader div {
  width: 4px;
  height: 40px;
  background-color: var(--menu-color);
  margin: 0 4px;
}
#preloader div:nth-child(1) {
  animation: animate-preloader 1s ease-in-out -0.45s infinite;
}
#preloader div:nth-child(2) {
  animation: animate-preloader 1s ease-in-out -0.3s infinite;
}
#preloader div:nth-child(3) {
  animation: animate-preloader 1s ease-in-out -0.15s infinite;
}
#preloader div:nth-child(4) {
  animation: animate-preloader 1s infinite;
}
@keyframes animate-preloader {
  0%,
  100% {
    transform: scaleY(0.3);
  }
  50% {
    transform: scaleY(1);
  }
}

/* ---------------------------------------------- */
/* -- Header-Banner */
/* ---------------------------------------------- */
.header-banner {
  width: 100%;
  height: 600px;
  background-repeat: no-repeat;
  background-size: cover;
  padding: 0 !important;
  margin: 0 !important;
}
.header-banner .bg-logo img {
  background-color: rgba(255, 255, 255, 0.7);
  border-radius: 0;
  height: 600px;
  width: auto;
  padding-right: 5%;
  padding-left: 5%;
}

/* ---------------------------------------------- */
/* -- Headerline-Banner */
/* ---------------------------------------------- */
.headline-banner {
  width: 100%;
  height: 50px;
  background-color: var(--tsk-green);
  padding: 0 !important;
  margin: 0 !important;
}
.headline-banner .container {
  padding: 0;
}
.headline-banner h1 {
  font-family: "Roboto", sans-serif;
  font-size: 3.5rem;
  font-weight: bold;
  text-transform: uppercase;
  letter-spacing: 1px;
  color: var(--tsk-blue);
  text-shadow: 1px 1px 0 white, -1px 1px 0 white, 1px -1px 0 white,
    -1px -1px 0 white, 0px 1px 0 white, 0px -1px 0 white, -1px 0px 0 white,
    1px 0px 0 white, 2px 2px 0 white, -2px 2px 0 white, 2px -2px 0 white,
    -2px -2px 0 white, 0px 2px 0 white, 0px -2px 0 white, -2px 0px 0 white,
    2px 0px 0 white, 1px 2px 0 white, -1px 2px 0 white, 1px -2px 0 white,
    -1px -2px 0 white, 2px 1px 0 white, -2px 1px 0 white, 2px -1px 0 white,
    -2px -1px 0 white;
  line-height: 6.2rem;
}

/* ---------------------------------------------- */
/* -- Formular */
/* ---------------------------------------------- */
iframe {
  border: none;
  display: block;
  width: 100%;
  height: auto;
}
.honey {
  position: absolute;
  left: -9999px;
}
.form-container {
  background-color: white;
}
.form-container .form-control {
  background-color: var(--light-blue);
}
.form-container label {
  font-size: 0.8rem;
  font-weight: bold;
}
.form-container .form-check-input {
  transform: scale(1.5);
  background-color: var(--light-blue);
}
.form-container .form-check-label {
  padding-left: 10px;
}

/* ---------------------------------------------- */
/* -- Cards */
/* ---------------------------------------------- */
.card {
  display: flex;
  flex-direction: column;
}
.img-ratio12 {
  object-fit: cover;
  aspect-ratio: 2/3;
}

/* ---------------------------------------------- */
/* -- glightbox */
/* ---------------------------------------------- */
.gallery {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
  gap: 1rem;
  list-style: none;
  padding: 0;
  margin: 0;
}
.gallery {
  overflow: hidden;
  border-radius: 8px;
}
.gallery img {
  width: 100%;
  height: auto;
  object-fit: cover;
  transition: transform 0.3s ease;
}
.gallery img:hover {
  transform: scale(1.05);
}
figcaption {
  text-align: center;
  padding: 2rem;
}
